Package: python3-banal
Source: python-banal
Version: 1.0.6-3build1
Architecture: all
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Installed-Size: 34
Depends: python3:any
Section: python
Priority: optional
Homepage: https://github.com/pudo/banal
Description: Commons of banal micro-functions for Python
 Commons of Python micro-functions. This basically an out-sourced, shared
 utils module with a focus on functions that buffer type uncertainties in
 Python (e.g. "is this a list?").
 .
 Functions:
 .
  * is_listish: check if something is list-ish
  * is_mapping: check if an object is dict-ish
  * ensure_list: make sure an argument is a list, or make it into a
    single-element list
  * clean_dict: remove null values from a dict, recursively
  * decode_path: decode a path name to be unicode
  * hash_data: generate a SHA1 from a dict of reasonable objects
